# osgTerrain::DataSet::CompositeSource::LODSourceAdvancer Struct Reference

List of all members.

## Public Member Functions

| LODSourceAdvancer (float targetResolution=0.0f)
bool | advanceToNextSource (const CompositeSource &composite, int &index)

## Public Attributes

float | _targetResolution

## Constructor & Destructor Documentation

osgTerrain::DataSet::CompositeSource::LODSourceAdvancer::LODSourceAdvancer | ( | float | targetResolution = `0.0f` | ) | `[inline]`

## Member Function Documentation

bool osgTerrain::DataSet::CompositeSource::LODSourceAdvancer::advanceToNextSource | ( | const CompositeSource & | composite,
|  | int & | index
| ) | `[inline]`

## Member Data Documentation

float osgTerrain::DataSet::CompositeSource::LODSourceAdvancer::_targetResolution

The documentation for this struct was generated from the following file:

- DataSet